Page MenuHomePhabricator

Categories and descriptions are sometimes multiplicated in mw.Upload uploads
Closed, ResolvedPublic1 Estimated Story Points

Description

Categories and descriptions are sometimes multiplicated in mw.Upload uploads.

https://commons.wikimedia.org/w/index.php?title=File:Gubaidullin_Naill_Shagbinovich.jpeg&action=edit

{{Information
|description={{en|Gubaidullin Naill Shagbinovich}}
{{en|Gubaidullin Naill Shagbinovich}}
{{en|Gubaidullin Naill Shagbinovich}}
|date=2015-10-23
|source={{own}}
|author=Губайдуллин Азат Наилевич
}}

{{self|cc-by-sa-4.0}}

[[Category:Portrets]]
[[Category:Portrets]]
[[Category:Portrets]]

https://commons.wikimedia.org/w/index.php?title=File:Gabrielle_Bernátová.jpeg&action=edit

{{Information
|description={{en|book}}
{{en|book}}
|date=2015-10-23
|source={{own}}
|author=Gabrielle Bernátová
}}

{{self|cc-by-sa-4.0}}

[[Category:Writter]]
[[Category:Writter]]

Event Timeline

matmarex created this task.Oct 23 2015, 4:58 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a subscriber: matmarex.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptOct 23 2015, 4:58 PM
matmarex claimed this task.Nov 5 2015, 6:20 PM
matmarex triaged this task as High priority.
matmarex set Security to None.
Jdforrester-WMF moved this task from Untriaged to Doing on the Multimedia board.Nov 5 2015, 6:26 PM

Change 251298 had a related patch set uploaded (by Bartosz Dziewoński):
mw.ForeignStructuredUpload: Prevent categories and descriptions from being duplicated

https://gerrit.wikimedia.org/r/251298

Change 251298 merged by jenkins-bot:
mw.ForeignStructuredUpload: Prevent categories and descriptions from being duplicated

https://gerrit.wikimedia.org/r/251298

Change 251307 had a related patch set uploaded (by Jforrester):
mw.ForeignStructuredUpload: Prevent categories and descriptions from being duplicated

https://gerrit.wikimedia.org/r/251307

Change 251307 merged by jenkins-bot:
mw.ForeignStructuredUpload: Prevent categories and descriptions from being duplicated

https://gerrit.wikimedia.org/r/251307

Jdforrester-WMF closed this task as Resolved.Nov 6 2015, 1:26 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.

Fixed and deployed. @Steinsplitter, if you want my help in cleaning up the uploads affected by this bug, let me know (preferably file another task and assign to me) and give MatmaBot bot rights :)